Bug 1000269 - zabbix-web contains bundled Flash files
zabbix-web contains bundled Flash files
Product: Fedora
Classification: Fedora
Component: zabbix (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
Depends On:
Blocks: WebAssets-BundledBinaries
  Show dependency treegraph
Reported: 2013-08-23 00:46 EDT by T.C. Hollingsworth
Modified: 2013-12-10 04:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-10 04:49:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-08-23 00:46:37 EDT
This package contains binary files that are typically excuted by the Flash
player or another similar program.

These files are not permitted in Fedora. [1]  Everything we produce needs to
be built from source. [2]

The offending file(s) shipped in this package are:

If these files are just a fallback for something that is now supported by modern
web standards like the HTML5 <video> element, please just remove the binaries.

If removing these files would seriously cripple your application, please let me
know so we can figure out a solution.

If you have any questions, please shout.  Thanks!

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries
[2] https://lists.fedoraproject.org/pipermail/devel/2013-August/187836.html
Comment 2 Volker Fröhlich 2013-08-24 02:21:09 EDT
I did the same on zabbix20. 2.0.8-1 gets rid of the Flash clock.

Note You need to log in before you can comment on or make changes to this bug.